using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
    
        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }
    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("division");
        table.Columns.Add("January", typeof(double));
        table.Columns.Add("February", typeof(double));
        table.Columns.Add("March", typeof(double));
        table.Columns.Add("April", typeof(double));
        table.Columns.Add("May", typeof(double));
        table.Columns.Add("June", typeof(double));
        table.Columns.Add("July", typeof(double));
        table.Columns.Add("August", typeof(double));
        table.Columns.Add("September", typeof(double));
        table.Columns.Add("October", typeof(double));
        table.Columns.Add("November", typeof(double));
        table.Columns.Add("December", typeof(double));
        for (int i = 1; i < 10; i++)
        {
            table.Rows.Add("division" + i.ToString(), 
                i+1.1, 
                i+1.2, 
                i+1.3, 
                i+1.4, 
                i+1.5, 
                i+1.6, 
                i+1.7, 
                i+1.8, 
                i+1.9, 
                i+1.10, 
                i+1.11, 
                i+1.12);
        }
        RadGrid1.DataSource = table;
    }
}
